#include <stdio.h>
#include <jstring.h>

JMOJI chars[] = {
    0x8143,
    0x8183,
    0x8254,
    0x8298
};

#define SIZE sizeof( chars ) / sizeof( JMOJI )

void main()
  {
    int   i;
    JMOJI c;

    for( i = 0; i < SIZE; i++ ) {
	c = chars[ i ];
	printf( "%c%c", c>>8, c );
	if( jisprint( c ) ) {
	  printf( " is a printable character" );
	}
	printf( "\n" );
    }
  }
//************ Sample program output ************
//,  is a printable character
//<  is a printable character
//5  is a printable character
//x  is a printable character
